/* stylelint-disable selector-class-pattern */

.ring-chart .the-ring-chart-container {
  width: 100%;
  max-height: 300px;
}

.ring-chart .ring-chart-and-legend {
  margin-top: 20px;
  display: flex;
  padding: 20px;
  background-color: var(--color-white);
  align-items: center;
  justify-content: space-between;
  gap: 30px;
  border-radius: 8px;
  box-shadow: 2px 4px 22px 0 rgb(0 0 0 / 12%);
}

.ring-chart .ring-chart-and-legend:not(:has(.ring-chart-legend-name)) {
  display: none;
}

.ring-chart.ring-chart-container-primary .ring-chart-and-legend {
  flex-direction: column;
  gap: 20px;
}

.ring-chart .ring-chart-and-legend > div {
  flex: 1;
}

.ring-chart .ring-chart-and-legend .ring-chart-custom-legend .ring-chart-legend-name {
  padding-left: 16px;
  position: relative;
  font-size: 14px;
  color: var(--color-text-secondary);
  margin: 0;
}

.ring-chart .ring-chart-and-legend .ring-chart-custom-legend .ring-chart-legend-percentage {
  padding-left: 16px;
  color: var(--color-text-primary);
  font-size: 16px;
  font-weight: 600;
  margin: 0;
}

.ring-chart .ring-chart-and-legend .ring-chart-custom-legend .ring-chart-legend-name::before {
  content: '';
  position: absolute;
  width: 8px;
  height: 8px;
  background-color: var(--color-gray-7);
  top: 50%;
  transform: translateY(-50%);
  left: 0;
  border-radius: 50%;
}

.ring-chart .ring-chart-and-legend .ring-chart-custom-legend .col-1E3A8A::before {
  background-color: var(--color-ring-blue-1);
}

.ring-chart .ring-chart-and-legend .ring-chart-custom-legend .col-60A5FA::before {
  background-color: var(--color-ring-blue-2);
}

.ring-chart .ring-chart-and-legend .ring-chart-custom-legend .col-E52D52::before {
  background-color: var(--color-ring-red-1);
}

.ring-chart .ring-chart-and-legend .ring-chart-custom-legend .col-FFA595::before {
  background-color: var(--color-ring-orange-1);
}

.ring-chart .ring-chart-and-legend .ring-chart-custom-legend .col-6CCC4F::before {
  background-color: var(--color-ring-green-1);
}

.ring-chart .ring-chart-and-legend .ring-chart-custom-legend .col-BEECA7::before {
  background-color: #BEECA7;
}

.ring-chart .ring-chart-and-legend .ring-chart-custom-legend .col-D568FB::before {
  background-color: #D568FB;
}

.ring-chart.ring-chart-container-primary .ring-chart-and-legend .ring-chart-custom-legend {
  display: flex;
  gap: 40px;
  justify-content: center;
  text-align: center;
}

.ring-chart.ring-chart-container-secondary .ring-chart-and-legend .ring-chart-custom-legend {
  display: flex;
  flex-wrap: wrap;
  gap: 12px;
  flex: 0 0 48%;
  max-width: 48%;
  text-align: left;
}

.ring-chart.ring-chart-container-primary .ring-chart-and-legend .ring-chart-custom-legend .ring-chart-legend-flex-item {
  cursor: pointer;
}

.ring-chart.ring-chart-container-secondary .ring-chart-and-legend .ring-chart-custom-legend .ring-chart-legend-flex-item {
  flex: 0 0 48%;
  max-width: 48%;
  text-align: left;
  cursor: pointer;
}

.ring-chart .ring-chart-toggle-container {
  display: flex;
  justify-content: center;
  align-items: center;
  background-color: var(--color-light-gray-6);
  border-radius: 20px;
  width: fit-content;
  margin-top: 20px;
}

.ring-chart .ring-chart-toggle-button {
  flex: 1;
  padding: 8px 14px;
  cursor: pointer;
  border: none;
  outline: none;
  font-size: 12px;
  font-weight: 500;
  border-radius: 20px;
  transition: all 0.3s ease;
  overflow: visible;
  text-transform: none;
}

.ring-chart .ring-chart-toggle-active,
.ring-chart .ring-chart-toggle-active:hover {
  background-color: var(--brand-sky-blue-color-600);
  color: var(--color-white);
}

.ring-chart .ring-chart-toggle-inactive,
.ring-chart .ring-chart-toggle-inactive:hover {
  background-color: transparent;
  color: var(--color-dark-gray-2);
}

.ring-chart-no-items-found {
  background: var(--color-white);
  padding: 20px;
  box-shadow: 8px 18px 30px rgb(150 126 44 / 25%);
  border-radius: 7px;
  margin-top: 24px;
  color: var(--color-text-secondary);
}

.ring-chart .date-text div{
  display: flex;
  justify-content: space-between;
  align-items: center;
  gap: 24px;
  flex-wrap: wrap;
  margin-bottom: 16px;
}

.ring-chart .date-text div > *{
  margin: 0;
}

.ring-chart .date-text span{
  color: var(--color-text-primary);
  font-size: 16px;
  font-weight: var(--font-weight-medium);
  line-height: 22px;
}

.ring-chart-container-secondary .ring-chart-toggle-container{
  margin-top: 24px;
} 

.section.ring-chart-container .ring-chart-wrapper .ring-chart .title h2{
  font-size: var(--f-s-sub-title);
  text-align: center;
  color: var(--text-seaction-heading);   
  font-weight: var(--font-weight-medium);
}

.section.ring-chart-container .ring-chart-wrapper h2#know-this-fund{
  font-size: var(--f-s-sub-title);
}

.section.ring-chart-container .ring-chart-container-primary .description p{
  color: var(--color-text-secondary);
}

.section.ring-chart-container .ring-chart-wrapper .title #market-cap{
  font-size: var(--f-s-sub-title);
  text-align: center;
  color: var(--text-seaction-heading);
  font-weight: var(--font-weight-medium);
}

.section.ring-chart-container #know-this-fund {
  font-size: var(--f-s-sub-title);
  color: var(--text-seaction-heading);
  font-weight: var(--font-weight-medium);
}

.ring-chart.activate-links.ring-chart-container-secondary.current-date.block .description p {
  color: var(--color-text-secondary);
}

@media (width <=768px) {
  .ring-chart.ring-chart-container-secondary .ring-chart-and-legend {
    flex-direction: column;
    gap: 20px;
    margin-top: 16px;
  }

  .ring-chart.ring-chart-container-secondary .ring-chart-and-legend .ring-chart-custom-legend {
    flex: 0 0 80%;
    max-width: 80%;
  }

  .ring-chart.ring-chart-container-secondary .ring-chart-and-legend .ring-chart-custom-legend .ring-chart-legend-flex-item {
    flex: 0 0 100%;
    max-width: 100%;
    display: flex;
    align-items: center;
    justify-content: space-between;
  }

  .ring-chart .date-text div{
    margin-bottom: 12px;
    align-items: flex-end;
  }

  .ring-chart .date-text span{
    font-size: 14px;
    line-height: 22px;
  }
  
  .ring-chart-container-secondary .ring-chart-toggle-container {
    margin-top: 16px;
  }

  .ring-chart .ring-chart-and-legend .ring-chart-custom-legend .ring-chart-legend-name{
    font-size: 12px;
  }
}
